import request from "../request.js"

export function submit(data) {
	return request({
		url: `/evaluate/survey/submit`,
		method: 'post',
		data,
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		}
	})
}
export function templateget(templateType) {
	return request({
		url: `/evaluate/advice/template/get/${templateType}`,
		method: 'get',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		}
	})
}
export function timeline(userId) {
	return request({
		url: `/evaluate/record/timeline/${userId}`,
		method: 'get',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		}
	})
}
export function answer(recordId) {
	return request({
		url: `/evaluate/survey/answer/${recordId}`,
		method: 'get',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		}
	})
}